#!/bin/bash

source install_library.bash
[ -e sources.bash ] || cp alternatives/sources_default.bash sources.bash
source sources.bash

echo Using ARCHIVE=$ARCHIVE

# Basic stuff
install_packages build-essential emacs subversion libreadline-dev \
    openssh-server autoconf php5-cli

# Python stuff
install_packages python-dev python-numpy python-scipy python-matplotlib \
    python-pybiggles swig python-setuptools

$SUDO easy_install pypdf svglib reportlab

# Kernel stuff
install_packages linux-source kernel-package

# External stuff
if test "$LIBCONFIG_URL"; then
    LIBCONFIG=`get_http $LIBCONFIG_URL`
    LCDIR=`tar -tf $LIBCONFIG | head -1`
    LIBCONFIG_DIR=$ARCHIVE/$LCDIR

    tar -C $ARCHIVE -xzf $LIBCONFIG
    cd $LIBCONFIG_DIR
    ./configure -C --prefix=$PREFIX
    make
    $SUDO make install
else
    # Ubuntu-packaged.
    install_packages libconfig8 libconfig8-dev
fi

echo
echo "You should probably run this again to see if anything quietly failed..."
echo
